import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OverviewPageRoutingModule } from 'app/pages/overview/overview-page-routing.module';
import { OverviewPageComponent } from 'app/pages/overview/overview-page.component';
import { DashboardCardComponent } from 'app/commons/component/dashboard-card/dashboard-card.component';
import { DashboardCardModule } from 'app/commons/component/dashboard-card/dashboard-card.module';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { AddDashboardDialogComponent } from './add-dashboard-dialog/add-dashboard-dialog.component';
import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { SensorSummaryComponent } from '../../commons/component/sensor-summary/sensor-summary.component';
import { SensorItemFilterComponent } from '../../commons/component/sensor-item-filter/sensor-item-filter.component';
import { HostSummaryCardComponent } from '../../commons/component/host-summary-card/host-summary-card.component';
import { AppSummaryCardComponent } from '../../commons/component/app-summary-card/app-summary-card.component';
import { FormsModule } from '@angular/forms';
import { SensorItemModule } from 'packages/sensor-item/sensor-item.module';

@NgModule({
  imports: [
    CommonModule,
    OverviewPageRoutingModule,
    DashboardCardModule,
    MaterialModule,
    PerfectScrollbarModule,
    FormsModule,
    SensorItemModule,
  ],
  declarations: [
    OverviewPageComponent,
    AddDashboardDialogComponent,
    SensorSummaryComponent,
    SensorItemFilterComponent,
    HostSummaryCardComponent,
    AppSummaryCardComponent
  ],
  entryComponents: [
    AddDashboardDialogComponent
  ]
})
export class OverviewPageModule { }
