import { NgModule, APP_INITIALIZER} from '@angular/core';
import { CommonModule } from '@angular/common';
import { PagesComponent } from './pages.component';
import { PagesRoutingModule } from './pages-routing.module';
import { SidebarComponent } from 'app/commons/component/sidebar/sidebar.component';
import { MaterialModule } from 'app/commons/ui/material/material.module';
import { HeaderComponent } from 'app/commons/component/header/header.component';
import { FooterComponent } from 'app/commons/component/footer/footer.component';
import { MenuItemComponent } from 'app/commons/component/menu-item/menu-item.component';
import {
  PerfectScrollbarModule,
  PERFECT_SCROLLBAR_CONFIG,
  PerfectScrollbarConfigInterface
} from 'ngx-perfect-scrollbar';
import { NotificationModule } from 'packages/notification/notification.module';
import {
  LocalizationModule,
} from 'angular-l10n';
import {MemberModule} from '../../packages/member/member.module';

const DEFAULT_PERFECT_SCROLLBAR_CONFIG: PerfectScrollbarConfigInterface = {
  suppressScrollX: true
};


@NgModule({
  imports: [
    CommonModule,
    PagesRoutingModule,
    MaterialModule,
    PerfectScrollbarModule,
    NotificationModule,
    LocalizationModule,
    MemberModule,
  ],
  declarations: [
    PagesComponent,
    SidebarComponent,
    HeaderComponent,
    FooterComponent,
    MenuItemComponent,
  ],
  providers: [
    {
      provide: PERFECT_SCROLLBAR_CONFIG,
      useValue: DEFAULT_PERFECT_SCROLLBAR_CONFIG
    }
  ],
})
export class PagesModule { }
