import { Action } from '@ngrx/store';

import { Enum } from 'typescript-string-enums';

import { notificationActionEnum } from 'packages/core/rpc/store/notification';
import { RPCError } from 'packages/core/rpc/error';

import {
  Zone,
  Host,
  Port,
  Service,
 } from '../../model';

 export enum ActionType {
  DiscoveredZone = '[@@NOTIFICATION] DiscoveryService.discoveredZone',
  DiscoveredHost = '[@@NOTIFICATION] DiscoveryService.discoveredHost',
  DiscoveredPort = '[@@NOTIFICATION] DiscoveryService.discoveredPort',
  DiscoveredService = '[@@NOTIFICATION] DiscoveryService.discoveredService',
}

export class DiscoveredZone implements Action {
  readonly type = ActionType.DiscoveredZone;

  constructor(public payload: Zone) {}
}

export class DiscoveredHost implements Action {
  readonly type = ActionType.DiscoveredHost;

  constructor(public payload: Host) {}
}

export class DiscoveredPort implements Action {
  readonly type = ActionType.DiscoveredPort;

  constructor(public payload: Port) {}
}

export class DiscoveredService implements Action {
  readonly type = ActionType.DiscoveredService;
  constructor(public payload: Service) {}
}

export type Actions =
  | DiscoveredZone
  | DiscoveredHost
  | DiscoveredPort
  | DiscoveredService
;
