import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Domain } from 'packages/domain/model';

import { Probe } from '../model';


@Injectable()
export class ProbeService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain): Observable<Probe[]> {
    return this.rpcClient.call<Probe[]>('ProbeService.readAllByDomain', domain);
  }

  public read(id: string): Observable<Probe> {
    return this.rpcClient.call<Probe>('ProbeService.read', id);
  }
}
