import {
    createSelector,
    createFeatureSelector,
    ActionReducerMap,
  } from '@ngrx/store';

  import { StateSelector } from 'packages/core/ngrx/store';

  import { MODULE } from '../sensor.constant';

  import * as ReadAllByDomainStore from './readallbydomain';

  export interface State {
    readallbydomain: ReadAllByDomainStore.State;
  }

  export const REDUCERS = {
    readallbymember: ReadAllByDomainStore.reducer,
  };

  export const EFFECTS = [
    ReadAllByDomainStore.Effects,
  ];

  export const selectNotificationState = createFeatureSelector<State>(MODULE.name);

  export const ReadAllByMemberSelector = new StateSelector<ReadAllByDomainStore.State>(createSelector(
    selectNotificationState,
    (state: State) => state.readallbydomain
  ));
